Subject: [storm] FW: http://www.ietf.org/id/draft-ietf-storm-ifcpmib-06.txt

From: "David B Harrington" <[email-masked]>
Date: Wed, 3 Nov 2010 00:08:11 +0800

-----Original Message-----
From: David Harrington [mailto:[email-masked]] 
Sent: Wednesday, November 03, 2010 12:05 AM
To: 'Joan Cucchiara'; 'Romascanu, Dan (Dan)'
Subject: RE: http://www.ietf.org/id/draft-ietf-storm-ifcpmib-06.txt

Hi Joan,

We deliberately did NOT deprecate the enumeration value because
deprecated places special requirements on a MIB module. So I think
putting in the "-- deprecated" comment in the TC is wrong. We are NOT
deprecating the enumeration value. We are only changing the compliance
requirements, per Bert's suggestion.

Despite the warning from SMICNG, we deliberately put in the object
clause in the old compliance clause saying both enumerations were
required for compliance, and in the new compliance clause syaing only
transparent is required. I think that is what Bert recommended.

I'll work with the author to update the description clauses.

dbh

> -----Original Message-----
> From: Joan Cucchiara [mailto:[email-masked]] 
> Sent: Tuesday, November 02, 2010 9:24 PM
> To: David Harrington; 'Dan Wing'
> Subject: Re: http://www.ietf.org/id/draft-ietf-storm-ifcpmib-06.txt
> 
> 
> Dave,
> 
> Here are my few comments.  I can post them to the storm and 
> MIB Dr. groups 
> as appopriate, or
> you can just respin (comments are very minor and think that 
> most have been
> stated before).
> 
> Please let me know how you want to proceed.
> 
> Thanks,
>   -Joan
> 
> 
> SMILINT
> ---------
> * Compiles cleanly.
> 
> SMICNGPRO
> ----------
> W: f(IFCP-MIB.my), (950,24) For 
> "ifcpLclGtwyInstAddrTransMode", syntax is 
> identical
> 
> The above warning is due to the following.  I believe you can 
> remove this 
> since it
> doesn't add any info and it wasn't in rfc4369 (the original
IFCP-MIB).
> 
>           OBJECT      ifcpLclGtwyInstAddrTransMode
>           SYNTAX      IfcpAddressMode {addressTransparent(1),
>                                        addressTranslation(2)}
>           DESCRIPTION
>                  "This object must support addressTransparent(1) and
>                   addressTranslation(2)."
> 
> 
> 
> Comments
> ----------
> 
> 
> 1) Need to add a comment of -- deprecated
> 
>      IfcpAddressMode ::= TEXTUAL-CONVENTION
>        STATUS         current
>          ...
> 
>        SYNTAX         INTEGER {addressTransparent(1),
>                                addressTranslation(2)}  -- deprecated
> 
> 
> 
> 
> 2)  ifcpGatewayCompliance
> 
> According to rfc2580, Section 7.2
> wrt changing a compliance definition
> (MODULE-COMPLIANCE)
> 
> If the STATUS is changed to "deprecated"
> the DESCRIPTION clause should be updated
> to explain.
> 
> DESCRIPTION:
> "This MODULE-COMPLIANCE has been deprecated because ...."
> 
> 
> 
> 3)  ifcpLclGatewaySessionGroup
> 
>  According to rfc2580, Section 7.1
> 
> Should update the DESCRIPTION clause:
> 
> DESCRIPTION:
>   "This OBJECT-GROUP has been deprecated because ..."
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> ----- Original Message ----- 
> From: "David Harrington" <[email-masked]>
> To: "'Joan Cucchiara'" <[email-masked]>; "'Dan Wing'" 
> <[email-masked]>
> Sent: Monday, October 25, 2010 12:58 PM
> Subject: http://www.ietf.org/id/draft-ietf-storm-ifcpmib-06.txt
> 
> 
> >A new revision has been published:
> > http://www.ietf.org/id/draft-ietf-storm-ifcpmib-06.txt
> > please check it when you have a chance.
> > I'll wait for your re-review before putting it on a telechat.
> >
> > David Harrington
> > Director, IETF Transport Area
> > [email-masked] (preferred for ietf)
> > [email-masked]
> > +1 603 828 1401 (cell)
> > 
>